import "./App.css";
import { Routes, Route, Navigate, useNavigate } from "react-router-dom";
import React, { useEffect, useState } from "react";
import Home from "./pages/Home";
import AddCoursePage from './pages/CreateCourses';
import Profile from './pages/Profile';
import CoursePage from "./pages/CoursePage";
import LoginPageLayout from "./components/LoginPageLayout";
import ForgotPageLayout from "./components/ForgotPageLayout";
import RegisterPageLayout from "./components/RegisterPageLayout";

function App() {
  const [token, setToken] = useState(localStorage.getItem("auth_token"));

  useEffect(() => {
    const storedToken = localStorage.getItem("auth_token");

    if (storedToken) {
      setToken(storedToken);
    }
    
  }, []);

  return (
    <Routes>
      {!token ? (
        <>
          <Route path="/" element={<LoginPageLayout />} />
          <Route path="/forgot" element={<ForgotPageLayout />} />
          <Route path="/register" element={<RegisterPageLayout />} />
          <Route path="*" element={<Navigate to="/" />} />
        </>
      ) : (
        <>
          <Route path="/home" element={<Home />} />
          <Route path="/profile" element={<Profile />} />
          <Route path="/createCourses" element={<AddCoursePage />} />
          <Route path="/courses/:courseId" element={<CoursePage />} />
          <Route path="*" element={<Navigate to="/home" />} />
        </>
      )}
    </Routes>
  );  
}

export default App;
