import React from "react";
import CSLogo from '../media/CS_logo.png';
import Register from "../form/Register";

const RegisterPageLayout = () => (
  <div className="grid grid-cols-5 gap-4 min-h-screen">
    <LogoSection />
    <FormSection>
      <Register />
    </FormSection>
  </div>
);

const LogoSection = () => (
  <div className="col-span-2 bg-[#E8C36A] flex justify-center items-center">
    <div className="w-64 h-64 bg-white rounded-full flex justify-center items-center shadow-lg overflow-hidden">
      <img
        src={CSLogo}
        alt="CS_logo"
        className="object-cover"
      />
    </div>
  </div>
);

const FormSection = ({ children }) => (
  <div className="col-span-3 bg-white flex justify-center items-center">
    <div className="py-12 px-12 bg-white rounded-2xl shadow-xl z-20">
      {children}
    </div>
  </div>
);

export default RegisterPageLayout;
