import React, { useEffect, useState } from "react";
import { useNavigate } from "react-router-dom";
import api from "../api";
import CoursesList from "../components/CourseList";
import CoursesListOp2 from "../components/CourseListOp2";
import Sidebar from "../components/Sidebar";

export default function Home() {
  const [user, setUser] = useState(null);
  const [loading, setLoading] = useState(true);
  const [courses, setCourses] = useState([]);
  const navigate = useNavigate();

  useEffect(() => {
    const auth_token = localStorage.getItem("auth_token");
    const auth_token_type = localStorage.getItem("auth_token_type");
    const token = `${auth_token_type} ${auth_token}`;

    api
      .get("/users/", {
        headers: { Authorization: token },
      })
      .then((response) => {
        setUser(response.data.result);
      })
      .catch((error) => {
        console.log(error);
      })
      .finally(() => {
        setLoading(false);
      });
    api
      .get("/user_courses/", {
        headers: { Authorization: token },
      })
      .then((response) => {
        setCourses(response.data.result);
      })
      .catch((error) => {
        console.log(error);
      });
  }, []);

  const handleCreateCourse = () => {
    navigate("/createCourses");
  };

  return (
    <div className="bg-white font-sans h-screen w-full flex">
      {!loading && <Sidebar user={user} />}

      <div className="flex-1 h-full p-4">

      <CoursesListOp2 courses={courses} />
      </div>
    </div>
  );
}