import React from 'react';

const VideoPlayer = ({ video, onComplete }) => {
    return (
        <div className="mt-4 p-4 border rounded bg-white flex-1">
            <div className="relative w-full" style={{ paddingBottom: '56.25%', height: 0 }}>
                <iframe
                    src={video.video_url.replace("watch?v=", "embed/")}
                    className="absolute top-0 left-0 w-full h-full"
                    allowFullScreen
                ></iframe>
            </div>
            <button
                onClick={onComplete}
                className="mt-4 text-white bg-[#E8C36A] hover:bg-[#F4A163] focus:ring-4 focus:outline-none focus:ring-[#F4A163] font-medium text-lg px-5 py-2.5 text-center">
                Finalizar Vídeo
            </button>
        </div>
    );
};

export default VideoPlayer;
